[metadata]
name = colorzero
version = 2.0
description = Yet another Python color library
long_description = file:README.rst
author = Dave Jones
author_email = dave@waveform.org.uk
license = BSD-3-Clause
project_urls =
    Documentation = https://colorzero.readthedocs.io/
    Source Code = https://github.com/waveform80/colorzero/
    Issue Tracker = https://github.com/waveform80/colorzero/issues
keywords = color
classifiers =
    Development Status :: 5 - Production/Stable
    Intended Audience :: Education
    Intended Audience :: Developers
    Topic :: Education
    License :: OSI Approved :: BSD License
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.5
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: Implementation :: PyPy

[options]
packages = find:
install_requires =
    setuptools

[options.extras_require]
test =
    pytest
    pytest-cov
doc =
    pkginfo
    sphinx
    sphinx-rtd-theme

[tool:pytest]
addopts = -rsx --cov --tb=short
testpaths = tests

[coverage:run]
source = colorzero
branch = true

[coverage:report]
show_missing = true
exclude_lines =
    raise NotImplementedError
    assert False

[copyrights:settings]
include=
    **/*.py
    **/*.rst
exclude=
    docs/license.rst
license=LICENSE.txt
preamble=
    The colorzero color library
strip-preamble=no
